#include "statistics.h"

// run this at each step to compute the running average
double average_step(
  // the value at the step
  double val,
  // the average computed so far
  double avg,
  uint64_t t,
  uint64_t starting_time,
  uint64_t print_freq,
  uint64_t first_box
){

  // running average
  // reset averages
  if(t % print_freq == 1){
    return(0);
  }

  // compute average
  // different computationin first box if starting_time is not a multiple of print_freq
  if(t < starting_time + first_box){
    return(avg+val/first_box);
  } else {
    return(avg+val/print_freq);
  }
}
